#include <bits/stdc++.h>
#define ll long long

using namespace std;

const ll mod = 1e9+7;
int n;
vector<pair<int, int>> tacke;

ll sum(ll x, ll y, int k) {
    ll s=0;
    for(int i=0; i<k; i++) {
        s += abs(x - tacke[i].first) * abs(y - tacke[i].second);
        s %= mod;
    }
    return s;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    cin >> n;

    for(int i=0; i<n; i++) {
        int x, y;
        cin >> x >> y;

        tacke.push_back({x, y});
    }

    sort(tacke.begin(), tacke.end());

    int X, Y;

    int s = 0;
    for(int i = 0; i < n; i++) {
        if(i > 1) {
            X = min(tacke[0].first, tacke[1].first); Y = min(tacke[0].second, tacke[1].second);
        } else {
            X = tacke[0].first; Y = tacke[0].second;
        }
        s = sum(X, Y, i+1);
        cout << s << endl;
    }

    return 0;
}